
	MODULE  chunkModule

          TYPE, PUBLIC :: chunk_type
            INTEGER height
            INTEGER width
            REAL(KIND=8) temperature(100,12)

            INTEGER(KIND=8) objPtr
            INTEGER index, iterations
            REAL(KIND=8) buf1(200), buf2(200)
          END TYPE chunk_type

          TYPE chunk_struct
            TYPE (chunk_type), POINTER::  chunk_ptr
          END TYPE chunk_struct

        END MODULE chunkModule

